Bug 186892 - Review Request: conntrack - Tool to manipulate netfilter connection tracking table
Review Request: conntrack - Tool to manipulate netfilter connection tracking ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On: 186811 186887
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-27 04:02 EST by Paul P Komkoff Jr
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 14:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul P Komkoff Jr 2006-03-27 04:02:12 EST
Spec Name or Url: http://stingr.net/l/fe/conntrack.spec
SRPM Name or Url: http://stingr.net/l/fe/conntrack-0.99.1-1.src.rpm
Description:
conntrack  is  used to search, list, inspect and maintain the netfilter
connection tracking subsystem of the Linux kernel.
Using conntrack , you can dump a list of all (or a filtered selection  of)
currently  tracked  connections, delete connections from the state table,
and even add new ones.
In  addition,  you  can  also  monitor connection tracking events, e.g.
show an event message (one line) per newly established connection.

P.S. This also BuildRequires libnfnetlink and libnetfilter_conntrack
Comment 2 Stefan Neufeind 2006-05-11 09:57:48 EDT
Since 186811 has been approved now, any objections to this package?
Comment 3 Kevin Fenzi 2006-05-13 21:59:52 EDT
Greetings. 

I'm happy to review this package as well.
Before a full review however: 

1. You seem to have updated to the latest upstream version (1.00beta1), but 
didn't increment the version in the spec/src.rpm. Could you generate a new 
spec and src.rpm with the current version in place? 

2. libnfnetlink seems to only be available in devel currently. Do you plan to
add that (and libnetfilter_conntrack and conntrack) to fc5 as well? 

Comment 4 Paul P Komkoff Jr 2006-05-14 15:23:00 EDT
1. I'm not sure that (version = 1.0 and release = beta1) will be less than
(version = 1.0 and release = 1) so I just did what gcc and others do - various
pre- versions are just x.99

2. Of course. After I add this package I'll request it for fc5 and fc4.
Comment 5 Kevin Fenzi 2006-05-14 16:09:08 EDT
In reply to comment #4: 

1. Ah, yeah... take a look at
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#NonNumericRelease
Which would I think suggest: 
conntrack-1.0-0.1.beta1 ?

Then, the final should be newer than any of the 0.X.beta1 series...
I think that method prevents confusion about just what version is in the package. 

Comment 7 Kevin Fenzi 2006-05-15 18:39:52 EDT
Here's a review:

OK - Rpmlint output. (none)
OK - Package name.
OK - Spec file name matches.
OK - Package guidelines.
OK - License (GPL)
OK - License field matches in spec.
OK - License included in files
OK - Spec in american english
OK - Spec legible
OK - Md5sum of source from upstream
7491f914a9ebce180df88cbef0d994b3  conntrack-1.00beta1.tar.bz2
7491f914a9ebce180df88cbef0d994b3  conntrack-1.00beta1.tar.bz2.1

OK - Compiles and builds on one arch at least.
(builds ok on devel, didn't use mock as not all requires are pushed out)
OK - No Forbidden buildrequires included
OK - All required buildrequires included
OK - Owns all directories it creates.
OK - No duplicate files in %files listing.
OK - Permissions on files correct.
OK - Clean section correct.
OK - Macros consistant.
OK - Code not content.
OK - Docs must not affect runtime.
OK - Doesn't own any files/dirs that are already owned by others.

No blockers I can see... so this package is APPROVED.

Remember to close this bug with NEXTRELEASE once you have imported
and build the package.

Note You need to log in before you can comment on or make changes to this bug.